#ifndef CLICKEDLINEEDIT_H
#define CLICKEDLINEEDIT_H

#include <QMouseEvent>
#include <QLineEdit>

class ClickedLineEdit : public QLineEdit
{
    Q_OBJECT
public:
    ClickedLineEdit(QWidget *parent = 0)
        :QLineEdit(parent){}

protected:
    void mousePressEvent(QMouseEvent *event);

signals:
    void ShowNumPad();
};

#endif // CLICKEDLINEEDIT_H
